Update an application program
patch
/fscmRestApi/resources/11.13.18.05/applicationFormDefinitions/{applicationFormDefinitionsUniqID}/child/applicationPrograms/{applicationProgramsUniqID}
Request
Path Parameters
-
applicationFormDefinitionsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Application Form Definitions resource and used to uniquely identify an instance of Application Form Definitions. The client should not generate the hash key value. Instead, the client should query on the Application Form Definitions collection resource in order to navigate to a specific instance of Application Form Definitions to get the hash key.
-
applicationProgramsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Application Programs resource and used to uniquely identify an instance of Application Programs. The client should not generate the hash key value. Instead, the client should query on the Application Programs collection resource in order to navigate to a specific instance of Application Programs to get the hash key.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
CourseSelectorFlag: boolean
Title:
Course SelectorMaximum Length:1Default Value:falseIndicates if the course selector is used for this program. -
RequestAction: string
Title:
Request ActionMaximum Length:80The request action that's performed when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : applicationFormDefinitions-applicationPrograms-item-response
Type:
Show Source
object-
CourseSelectorFlag: boolean
Title:
Course SelectorMaximum Length:1Default Value:falseIndicates if the course selector is used for this program. -
FormApplicationProgId: integer
(int64)
Title:
Form Application Program IDRead Only:trueForm admissions application program identifier. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProgramItemCurriculumCode: string
Title:
Program CodeMaximum Length:150The curriculum code of the program. -
ProgramItemCurriculumId: integer
(int64)
Title:
Program Item Curriculum IDCurriculum item identifier for the program. -
ProgramName: string
Title:
ProgramRead Only:trueMaximum Length:150Name of the curriculum program. -
RequestAction: string
Title:
Request ActionMaximum Length:80The request action that's performed when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.